function y = sortfilt(x,flength,ftype)
%function y = sortfilt(x,flength,ftype)
%******* sortfilt is a cmex file. ******
%Applies a sorting filter to input data in vector x.
%flength is the filter length. *****NOTE The filter length is
%automatically adjusted to the largest ODD number not exceeding
%flength. The code does not work properly for even length
%filters.
%
%Note that a filter of flength=2n+1 will remove a spike of duration
%up to n points long.
%	
%ftype determines the filter type. This may be 
%median (ftype=0), minimum (ftype=1) or maximum (ftype=2)
%y is the filtered data
	              
%Philip de Chazal 22 Jan 97

%24-may-02
%This is a hack that repalces the median filter with a mean filter in order to be
%able to compile apnoea_demo to a standalone application with Matlab 5.3.1. This version of the compiler
%does not allow dll files to be called in standalone applications.
%Note that this is only executed by the compiled code as .dll files have precedence of .m files when runnning the
%matlab environment.

if ftype==0
   y=meanfilt(x,flength);
else
   error('Unknown option in sortfilt')
end